2019-10-14 12:57 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001448FSSCPtablespublic2009-11-13 03:34
ReporterTolwyn 
Assigned Toportej05 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.11 
Summary0001448: messages.tbl limit
DescriptionI thought that messages.tbl parsing had been made dynamic a couple of years back.

Apparently there is still some sort of a limit. Right now I have about 25 (?) personas in the table, adding another one will result in FRED crashing on startup without any error messages. This applies for both debug and retail version. Now, it has nothing to do with the number of personas per se, but rather with the number of messages in the table. It starts crashing after adding 11th (?) message.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008322

phreak (developer)

could you attach your table so we can test with it?

~0008327

Tolwyn (reporter)

I believe this one was causing problems...

~0008328

phreak (developer)

does this affect only FRED, or does it also affect FS2?

~0008332

Tolwyn (reporter)

FRED crashes, game will start. However, it has been reported, that the game will crash at random.

~0008341

phreak (developer)

MAX_MISSION_MESSAGES (aka the canned messages played by wingmen) is set at 500.

~0008343

Tolwyn (reporter)

Hmm... this would explain it, because, most likely, we are hitting 500 limit with our current tbl.

~0008344

phreak (developer)

yea, you're at 516 now. and after looking at the code more, MAX_MISSION_MESSAGES is actually the limit of the number of canned messages + the number of "custom" messages created in the mission events editor in fred.

~0008345

Tolwyn (reporter)

I kinda suspected that. Is there a way around this?

~0008346

phreak (developer)

well the MAX_MESSAGES macro is used in more than one place, so it'll be hard to dynamicize everything.

~0008351

Tolwyn (reporter)

but if it is just a "number", then, from what little I know of C, couldn't it be just increased to a higher value? Or introduce a different macro for messages.tbl?

~0008354

Goober5000 (administrator)

I can take a look at this.

~0008356

Tolwyn (reporter)

thanks, Goober.

~0010743

Goober5000 (administrator)

This is labelled as "minor". :p

~0010997

KeldorKatarn (reporter)

-This is a Saga showstopper-

~0011006

Goober5000 (administrator)

I need to talk to portej05, but this is on the must-include list for 3.6.11.

~0011261

Goober5000 (administrator)

This has been solved thanks to portej05's SCP_allocator.
+Notes

-Issue History
Date Modified Username Field Change
2007-07-28 07:36 Tolwyn New Issue
2007-08-02 00:23 phreak Note Added: 0008322
2007-08-02 11:42 Tolwyn File Added: messages.tbl
2007-08-02 11:42 Tolwyn Note Added: 0008327
2007-08-02 21:38 phreak Note Added: 0008328
2007-08-03 06:35 Tolwyn Note Added: 0008332
2007-08-04 23:08 phreak Note Added: 0008341
2007-08-05 18:47 Tolwyn Note Added: 0008343
2007-08-05 19:45 phreak Note Added: 0008344
2007-08-05 20:52 Tolwyn Note Added: 0008345
2007-08-06 22:00 phreak Note Added: 0008346
2007-08-07 06:18 Tolwyn Note Added: 0008351
2007-08-07 13:16 Goober5000 Status new => assigned
2007-08-07 13:16 Goober5000 Assigned To => Goober5000
2007-08-07 13:16 Goober5000 Note Added: 0008354
2007-08-07 13:44 Tolwyn Note Added: 0008356
2009-03-16 14:25 Goober5000 Note Added: 0010743
2009-06-26 13:01 KeldorKatarn Note Added: 0010997
2009-06-26 13:47 Goober5000 Note Added: 0011006
2009-11-13 03:34 Goober5000 Note Added: 0011261
2009-11-13 03:34 Goober5000 Assigned To Goober5000 => portej05
2009-11-13 03:34 Goober5000 Status assigned => resolved
2009-11-13 03:34 Goober5000 Resolution open => fixed
2009-11-13 03:34 Goober5000 Fixed in Version => 3.6.11
+Issue History